:root{
    --background_colr: rgb(248, 245, 252);
    --white_color :white;
    --primary_color : rgb(118, 13, 188);
    --gray_color :rgb(211, 211, 211); 
    --light_border :rgba(182, 139, 252, 0.312); 
    --gray_light_color :rgb(244, 241, 241); 
    --box_shado_color:rgba(235, 235, 235, 0.892);
    --primary-gradient: linear-gradient(180deg, #f8f8f8 0%, #8b4dff2a 100%);
    --secondary-gradient: linear-gradient(180deg, #F3F5FF 0%, rgba(231, 235, 255, 0.00) 100%);
}

*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box; 
    scroll-behavior: smooth;
}
body{
    font-family: 'Poppins', sans-serif;
}
.row_{display: flex;}
.mr_left10px{margin-left: 15px;}
.mr_section{padding-left: 8rem;padding-right: 8rem;}
.ft_32{
  font-size: 72px;  
 
}
.lo{display: none;}
.hamburger_menu{display: none;}
.hamburger_sidebar{display: none;}
.antom_{
    font-family: "Anton", sans-serif;
    font-weight: 600;
    font-size: normal;
    color: #ecf95f;
}

.top_header{
    width: 100%;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 5rem;
    z-index: 100;
}
a{
    text-decoration: none;
    color: black;
}

.hover_bottom {
    position: relative;
    display: inline-block;
    padding-bottom: 2px;
    cursor: pointer; /* optional */
}

.hover_bottom::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 2px;
    background-color: var(--primary_color);
    transition: width 0.3s ease-in-out;
}

.hover_bottom:hover::after {
    width: 100%;
}


li{
    list-style: none;
}
.left_{
    width: 36%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: right;
    font-size: 18px;
    font-weight: 400;
}
.btn_primary{
    margin-top: 3.5rem;
    padding: 10px 40px;
    border: none;
    background-color: var(--primary_color);
    color: white;
    font-size: 18px;
    font-weight: 500;
    border-radius: 30px;
    cursor: pointer;
}
.center_{
    width: 20%;
    height: 100%;
    background-color: var(--white_color);
    /* box-shadow: 0px 1px 5px var(--box_shado_color); */
    border-radius: 50px;
    border: 1px solid var(--light_border);
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}
._logo_img{
    width: auto;
    height: 80%;
    object-fit: cover;
}
.right_{
    width: 36%;
    height: 100%;
     display: flex;
    align-items: center;
    justify-content: left;
    font-size: 18px;
    font-weight: 400;
}
.top_slice_bg{
    width: 100%;
    height: 70vh;
    display: flex;
    justify-content: center;
    align-items: center;
  
}


.top_slice_bg img{
    margin-top: 4rem;
    width: auto;
    height: 90%;
}
._heading_bg{
    width: 100%;
    height: 20vh;
    position: relative;
    margin-top: -8rem;
    z-index: 3;
    display: flex;
    background-color: var(--primary_color);
    opacity: 0.9;
    filter: blur(130px);
}

.text___{
  width: 100%;
  display: flex;
  justify-content: center;
    text-align: center;   
    position: relative;
    margin-top: -24rem;
     z-index: 9;
    color: white;
}
.text_head{
  width: 65%;
}
.text_head_sub{font-size: 16px; letter-spacing: 3px; }
.Logo_name_{font-size: 16px; letter-spacing: 20px; margin-top: 15px; color: yellow;}
.offer_box{
    margin-top: 9rem;
    width: 100%;
    height: 22rem;

}
.box_off{
    width: 100%;
    height: 20rem;
    background-color: rgb(250, 239, 239);
    border-radius: 10px;
    
}
.box_off img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}
.markquee{
    width: 100%;
    height: 60px;
    background-color: var(--primary_color);
    display: flex;
    align-items: center;
    color: white;
    font-size: 22px;
    font-weight: 700;
     font-family: "nohemi", "nohemi Fallback";
}
.title1_box{margin-top: 6rem; display: flex; justify-content: space-between; align-items: center;}
.box_for_cc{
    width: 100%;
    height: auto;
    margin-top: 2rem;
    padding-top: 2rem;
    padding-bottom: 2rem;
    display: grid;
   grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    justify-content: center;
    /* background-image: url('../images/img/vector.jpg');
    background-repeat: no-repeat;
    background-size: cover;  */
}
.items_design_box{
   
    background-color: white;
    box-shadow: 1px 1px 10px rgba(247, 246, 251, 0.567);
    border-radius: 15px;
    border: 1px solid var(--gray_light_color);
    cursor: pointer;
}
.items_design_box .top_imge_sec{
    width: 100%;
    height: 11rem;
    background-color: #f8f8f8;
}
.top_imge_sec img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 15px 15px 0px 0px;
}
.items_design_box .text_section_ {padding-left: 1rem; padding-top: 1rem; padding-bottom: 1rem;}
.items_design_box:hover{
    box-shadow: 1px 1px 15px rgba(243, 240, 240, 0.767);
    transform: scale(1.01);
    transition: all 0.3s ease-in-out;
}
.items_design_box .text_section_ h1{ 
    font-size: 20px;
    font-weight: 600;
}
.items_design_box .text_section_ .price{ 
    font-size: 18px;
    font-weight: 400;
    color: blueviolet
}
.items_design_box .text_section_ span {
  display: -webkit-box;
  -webkit-line-clamp: 4;      /* limit to 4 lines */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  color: rgb(128, 128, 128);
}
.category_box{
  margin: 10px;
  width: 80px;
  background-color: rgba(80, 1, 155, 0.767);
  padding: 8px;
  border-radius: 30px;
  color: white;
  font-size: 14px;
  text-align: center;
}
.text_botton_section{
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
    padding-left: 1rem; padding-top: 1rem; padding-bottom: 1rem;
    border-top: 1px solid whitesmoke;
}
.discount{
     font-size: 16px;
    font-weight: 400;
    color: rgb(194, 135, 135);
    text-decoration: line-through;
    font-size: 16px;
}
.box_for_testimonial{
    width: 100%;
    height: auto;
   
    background-color: rgb(246, 245, 245);
    /* background-image: url('../images/img/Ellipse\ 3.png');
    background-repeat: no-repeat; */
    /* background-size: cover; */
    background-position: top right;
    border-radius: 15px;
    padding: 2rem;
  
}
.testimonial_title_box{
    width: 50%;
    text-align: center;

}
.testimonial_bg{
    width: 100%;
    height: 100%;
    display: flex;

}


.testimonial_wrapper {
  overflow: hidden;
  position: relative;
  padding: 20px;
}

.testimonial_bg {
  display: flex;
  overflow-x: scroll;
  scroll-behavior: smooth;
  gap: 20px;
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;     /* Firefox */
}

.testimonial_bg::-webkit-scrollbar {
  display: none;  /* Chrome, Safari */
}

.testimonial_card {
  max-width: 400px;
  min-width: 300px;
  flex: 0 0 auto;
  background: #ffffff;
  border-radius: 10px;
  padding: 20px;
  box-shadow: 0 2px 10px rgba(0,0,0,0.1);
  margin-top: 1rem;
  margin-bottom: 1rem;
  border: 1px solid var(--light_border);
}

.top_img_sec img {
  width: 100%;
  border-radius: 8px;
}

.row_ {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-top: 10px;
}

.row_ img {
  width: 40px;
  height: 40px;
  border-radius: 50%;
}
.row_ .div span{
    font-size: 12px;
    font-weight: 400;
}
.text_for_testmonial {
  font-size: 18px;
  font-weight: 400;
}

.reels_container {
  display: flex;
  gap: 20px;
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  -webkit-overflow-scrolling: touch;
  margin-top: 3rem;
  margin-bottom: 6rem;
}

.reel_card {
  min-width: 120px;
  max-width: 200px;
  height: 350px;
  border-radius: 15px;
  overflow: hidden;
  flex-shrink: 0;
  scroll-snap-align: start;
  background-color: #ddd;
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);
}

.reel_card video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  pointer-events: none;
}
.container_for_comprehensive{
    width: 100%;
    height: auto;
    margin-top: 8rem;
     background: linear-gradient(180deg, #8b4dff11 0%, #fefdff 100%);
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding-top: 3rem;
    margin-bottom: 7rem;
 
}
.left_comprehensive{
    flex-basis: 50%;
    height: 100%;
  
}

.item_box{
    /* background-color: white; */
    display: flex;
    border-radius: 5px;
    padding: 15px;
    margin-bottom: 10px;
      cursor: pointer;
}
.item_box .image_section_{
    width: 60px;
    height: 60px;
    padding: 5px;
    background-color: white;
    border-radius: 50%;
    border: 1px solid var(--light_border);
    box-shadow: 2px 2px 15px rgba(226, 224, 245, 0.904);
    margin-right: 15px;
    display: flex;
    align-items: center;  
    justify-content: center;
  
}
.item_box:hover .image_section_{
    box-shadow: 2px 2px 20px rgba(180, 177, 177, 0.904);
    transform: scale(1.1);
    transition: all 0.3s ease-in-out;
}
.item_box .image_section_ img{
    width: 70%;
    height: 70%;
    object-fit: cover;
}
.item_box .text_item_section h3{
    font-size: 14px;
    font-weight: 700;
}
.item_box .text_item_section p{
    font-size: 12px;
    font-weight: 500;
}
/* .left_comprehensive h1{
    font-weight: 600;
} */
.right_comprehensive{
    flex-basis: 50%;
    height: auto;
    border-left: 2px solid var(--light_border);
}
.right_comprehensive img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.about_center img{
    width: 80%;
    height: auto;
    object-fit: cover;
    border-radius: 10px;
    margin-left: 5rem;
}
.foote_section{
    background-color: rgb(249, 249, 255);
    padding-top: 2rem;
    padding-bottom: 2rem;
    margin-top: 10rem;
    color: black;
     background-image: url('../images/img/footer_sikshahare.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
       
}
.footer{
    width: 100%;
    height: 180px;
    /* background-color: var(--primary_color); */
    border-bottom: 1px solid var(--light_border);
    display: flex;
    color: black;
    margin-left: 4rem;
    margin-right: 4rem;
}
.social_icon_section{display: flex;}
.social_icon{
    width: 38px;
    height: 38px;
    display: flex;
    align-items: center;  
    justify-content: center;
    background-color: white;
    border-radius: 50%;
    border: 1px solid var(--light_border);
    margin-top: 1rem;
    cursor: pointer;
    margin-right: 5px;
}
.social_icon:hover{
    box-shadow: 2px 2px 15px rgba(180, 177, 177, 0.904);
    transform: scale(1.1);
    transition: all 0.3s ease-in-out;
}
.social_icon img{
    width: 28px;
    height: 28px;
    object-fit: cover;
}
.col{
    flex-basis: 40%;
}
.footer .col p{
    font-size: 14px;
}
.footer .col ul li a{
    font-size: 14px;
}
.quick_links{flex-basis: 20%;}
.sub_footer{
    margin-top: 1rem;
    display: flex;
    justify-content: space-between;
       margin-left: 4rem;
    margin-right: 4rem;
}
.col_ p{
    font-size: 14px;
}
.footer_logo{
    width: auto;
    height: 30px;
    object-fit: cover;
}


/* Course Detial  */
.container_for_course{
    display: flex;
    justify-content: space-between;
    margin-top: 2rem;
    margin-bottom: 5rem;}

     /* ===== CURRICULUM ===== */
    .curriculum {
      margin-top: 3rem;
    }

    .curriculum h3 {
      color: var(--purple-primary);
      margin-bottom: 1rem;
    }

    .module {
      background: var(--white);
      border-radius: 6px;
      box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
      margin-bottom: 1rem;
      padding: 1rem;
    }

    .module-title {
      font-weight: 600;
      color: var(--purple-dark);
      cursor: pointer;
      display: flex;
      justify-content: space-between;
      align-items: center;
    }

    .lessons {
      margin-top: 0.5rem;
      padding-left: 1rem;
      display: none;
    }

    .lesson {
      display: flex;
      justify-content: space-between;
      margin-bottom: 0.3rem;
      font-size: 0.95rem;
    }

    .lesson-name {
      color: var(--gray-dark);
    }

    .lesson-duration {
      color: var(--purple-primary);
      font-style: italic;
    }

    .preview-btn {
      background: none;
      border: 1px solid var(--purple-primary);
      color: var(--purple-primary);
      border-radius: 4px;
      font-size: 0.8rem;
      padding: 0.1rem 0.5rem;
      cursor: pointer;
      transition: background-color 0.3s ease;
    }

    .preview-btn:hover {
      background-color: var(--purple-primary);
      color: var(--white);
    }

    .overview_image{
      width: 100%;
      height: 300px;
      border-radius: 8px;
      margin-top: 1rem;
    }
  /* ===== OVERVIEW ===== */
    .overview {
      display: flex;
      flex-wrap: wrap;
      margin-top: 2rem;
      gap: 2rem;
    }

    .overview-image {
      width: 100%;
      height: auto;
      border-radius: 10px;
      box-shadow: 0 0 10px rgba(103, 58, 183, 0.3);

    }

   

    .overview-text h3 {
      color: var(--purple-primary);
      margin-bottom: 0.5rem;
    }

    .overview-text ul {
      list-style-type: disc;
      padding-left: 1.2rem;
      margin-top: 0.5rem;
      color: var(--gray-dark);
    }

    .overview-text p,
    .overview-text ul li {
      line-height: 1.5;
      margin-top: 10px;
      font-size: 18px;
    }

    .course-meta {
      margin-top: 1rem;
      font-style: italic;
      color: var(--purple-dark);
    }
.course_detail_header{
  width: 100%;
  height: auto;

}
.course_detail_header .course_heading{
  position: absolute;
  top: 190px;
  left: 20%;
}
.course_detail_header .course_heading h1{
  color: white;
}
.course_detail_header .course_heading p{
  margin-top: 10px;
  color: white;
}
    .image_section_course{
      width: 100%;
      height: 350px;
      background-color: rgb(202, 143, 254);
      border-radius: 10px;
      color: white;
      margin-top: 3rem;
      text-align: center;
      align-items: center;
    
      
    }

  

  .image_section_course img{
      width: 100%;  
      height: 100%;
        border-radius: 10px;
      object-fit: cover;}

  .course_detail{flex-basis: 65%;}  
  .detail_course_info{
    min-width: 400px;
    min-height: 150px;
    padding: 20px;
    background-color: rgb(246, 246, 246);
    border: 1px solid var(--light_border);
    border-radius: 25px;
    box-shadow: 2px 2px 15px rgba(246, 246, 249, 0.904);
  }
  .flex_sect{display: flex; align-items: start;}

  .detail_course_info  .img_section{
    width: 60px;
    height: 60px;
    border-radius: 10px;
    overflow: hidden;
    margin-right: 15px;
    background-color: #000000;
  }
  .detail_course_info  .img_section img{
    width: auto;
    height: 100%;
    object-fit: cover;
  }
    

  .detail_course_info p{
    margin-top: 10px;
  }
  .detail_course_info .row__{ display: flex; align-items: left; justify-content: space-between; text-align: left; margin-top: 5px;}
 
 .title_for{
    font-size: 34px;
    font-weight: 700;
    font-family: "nohemi", "nohemi Fallback";
                                                
  }
 
 /* About Section */
  .about_section{
    text-align: start;
    justify-content: center;
    align-items: center;
    padding: 25px 0 15px 25px;
  }
  .content_{
    width: 40%;
  }
 
  /* Media Querys */
@media (max-width: 1280px) {
    .mr_section{padding-left: 5rem;padding-right: 5rem;}
}
@media (max-width: 980px) {
    .mr_section{padding-left: 3rem;padding-right: 3rem;}
    .top_header{padding: 10px 2rem;}
    .left_, .right_{font-size: 16px;}
    .center_{width: 25%;}
    .center_ img{height: 60%;}
    .ft_32{font-size: 42px;}
    .text___{margin-top: -12rem;}
    .offer_box{height: auto;}
    .box_for_cc{grid-template-columns:  repeat(3, 1fr); gap: 10px; justify-self: start;}
    .items_design_box{ height: auto;}
    .testimonial_card{max-width: 300px; min-width: 300px;}
    .testimonial_title_box{width: 70%;}
    .right_comprehensive{display: none;}
     .left_comprehensive{flex-basis: 100%; padding-right: 0;}
    .left_comprehensive .item_box{display: block; border: 1px solid var(--light_border); background-color: var(--white_color);}
    .left_comprehensive .item_box:hover{
        transform: scale(1);
    }
    .item_box .image_section_{
        margin-bottom: 15px;
        min-width: 60px;
        min-height: 60px;}
        .about_ .left_comprehensive{width: 100%;}
}
@media (max-width: 680px) {
    .mr_section{padding-left: 1rem;padding-right: 1rem;}
    .top_header{padding: 10px 1rem; width: 100%; display: flex; justify-content: left;align-items: center;}
    .left_, .right_{display: none;}
    .center_{width: 40%;}
    .lo{display: block; background-color: white; display: flex; justify-content: center; align-items: center; border-radius: 15px; padding-left: 10px;}
    .lo .s_logo{width: auto; height: 32px; object-fit: cover; }
     .hamburger_menu{display: block; position: absolute; top: 20px; right: 20px; cursor: pointer;}
    .hamburger_menu span{display: block; width: 25px; height: 3px; background-color: black; margin: 5px 0;}
    .hamburger_sidebar{
      display: block;
        position: fixed;
        top: 0;
        right: 0;
        width: 200px;
        height: 100%;
        background-color: var(--white_color);
        box-shadow: -2px 0 5px rgba(0,0,0,0.1);
        padding: 20px;
        transform: translateX(100%);
        transition: transform 0.3s ease-in-out;
        z-index: 1000;
    }
    .hamburger_sidebar .close{
        display: flex;
        flex-direction: column;
        cursor: pointer;
        margin-bottom: 20px;
    
    }
    .hamburger_sidebar .close img{
        width: 48px;
        height: 48px;
      
    }
    .hamburger_sidebar li{
        margin-bottom: 15px;
        font-size: 18px;
        background-color: white;
        border-radius: 10px;
        border: 1px solid var(--light_border);
        box-shadow: 2px 2px 15px rgba(246, 246, 249, 0.904);
        padding: 10px;
    }

    .hamburger_sidebar.active{
        transform: translateX(0);
    }
    .ft_32{font-size: 32px;}
    .text___{margin-top: -20rem; font-size: 24px;}
    .text_head_sub{font-size: 5px; letter-spacing: 0px;}
    .Logo_name_{font-size: 8px; letter-spacing: 5px;}
    .top_slice_bg img{height: 70%;}
    .offer_box{height: auto; margin-bottom: 3rem; margin-top: 1rem;}
    .text_head{width: 100%;}
    .text_head_sub{font-size: 16px; }
    .head_buttons{display: none;}
    .box_off{
        width: 100%;
        height: auto;}
    .box_for_cc{ grid-template-columns: repeat(2, 1fr); gap: 8px; justify-content: center;}
    .items_design_box{ width: 100%; height: auto;padding-bottom: 15px;}
    .items_design_box .text_section_ h1{font-size: 16px;}
    .items_design_box .text_section_ .price{font-size: 18px;}
    .discount{font-size: 14px;}
    .box_for_testimonial{
        margin-top: 1rem;
        padding: 1rem;
  
    }
    .testimonial_card{max-width: 250px; min-width: 250px;}
    .testimonial_title_box{width: 90%;}
    .container_for_comprehensive{margin-top: 2rem;}

    .image_section_course img{
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
    .container_for_course{
      display: block;
    }
    .detail_course_info{
      min-width: 100%;
      min-height: auto;
      padding: 15px;
    }
    /* .left_comprehensive h1{font-size: 16px;} */
    .footer{display: inline;} 
    .sub_footer{display: inline;} 
    .sub_footer .footer_logo{display: none;}
    .testimonial_wrapper{padding: 0px;}
    .center_{display: none;}
    .course_detail_header .course_heading{
  position: absolute;
  top: 190px;
  left: 7%;
}
   
}  

@media (max-width: 500px) {
     .box_for_cc{ grid-template-columns: repeat(1, 1fr); gap: 8px; justify-content: center;}
}

